Label Management in the Listing
http
POST /content/v2/tag/nomenclature/linkBase URL: https://content-api.wildberries.ru · Module: items · Section: Labels · Specification doc ↗
The method allows to add labels to the listing and remove labels from the listing. When removing a label from a listing, the label itself is not removed. It is possible to add 15 labels to a listing.
Request limit per one seller account for all Labels methods:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 min | 100 requests | 600 ms | 5 requests |
| Service | 1 min | 100 requests | 600 ms | 5 requests |
| Base with secret | 1 min | 100 requests | 600 ms | 5 requests |
| Base | 1 h | 2 requests | 30 min | 1 request |
In Sandbox — maximum of 1 request per second for all Content methods in total.
Request body
application/json — schema object, required
nmIDinteger<int64>— WB item numbertagsIDsinteger<int64>[]— An array of numeric label IDs. When removing a label from a listing, the label itself is not removed. To add labels to existing ones in the listing, you need to specify in the request the new labels and the labels that are already exist in the listing.
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | responseContentError |
400 | Bad request | responseContentError |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | responseBodyContentError403 |
429 | Too many requests | object |
Structure 200:
dataobject— Error dataerrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring— Additional errors
Structure 400:
dataobject— Error dataerrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring— Additional errors
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
dataobject— Error dataerrorboolean— Error flagerrorTextstring— Error descriptionadditionalErrorsstring— Additional errors
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.items import Configuration, ApiClient
from wb_api_client.items.api import ItemsApi
cfg = Configuration(access_token="<your WB JWT>")
api = ItemsApi(ApiClient(cfg))
result = api.post_v2_tag_nomenclature_link(post_v2_tag_nomenclature_link_request=...)
print(result)ts
import {
Configuration,
ItemsApi,
} from "@valeryverkhoturov/wb-api-client/items";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new ItemsApi(cfg);
const { data } = await api.postV2TagNomenclatureLink(postV2TagNomenclatureLinkRequest);
console.log(data);go
import (
"context"
"fmt"
wbitems "github.com/ValeryVerkhoturov/wb-api-client-go/items"
)
cfg := wbitems.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbitems.NewAPIClient(cfg)
result, _, err := client.ItemsAPI.PostV2TagNomenclatureLink(context.Background()).PostV2TagNomenclatureLinkRequest(postV2TagNomenclatureLinkRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.items.ApiClient;
import io.github.valeryverkhoturov.wbapi.items.SecretString;
import io.github.valeryverkhoturov.wbapi.items.api.ItemsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
ItemsApi api = new ItemsApi(client);
System.out.println(api.postV2TagNomenclatureLink(postV2TagNomenclatureLinkRequest));php
use ValeryVerkhoturov\WbApiClient\Items\Configuration;
use ValeryVerkhoturov\WbApiClient\Items\SecretString;
use ValeryVerkhoturov\WbApiClient\Items\Api\ItemsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new ItemsApi(new Client(), $config);
print_r($api->postV2TagNomenclatureLink($post_v2_tag_nomenclature_link_request));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый ItemsApi(Настройки);
Сообщить(Клиент.PostV2TagNomenclatureLink(Тело).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Items.Api;
using ValeryVerkhoturov.WbApiClient.Items.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new ItemsApi(config);
Console.WriteLine(api.PostV2TagNomenclatureLink(postV2TagNomenclatureLinkRequest));rust
use wb_api_client::items::apis::{configuration::Configuration, items_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = items_api::post_v2_tag_nomenclature_link(&cfg, post_v2_tag_nomenclature_link_request).await;
println!("{:#?}", result);
}